
%global meadversion 1.0.3
%global namedversion 1.0.3.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1

%bcond_without mead
%bcond_with javadoc

%define mavengroup org.jboss.spec.javax.security.jacc
%define artifact0 %{name}

%define maven_version 1.0.3.Final-redhat-1

Name:      jboss-jacc-api_1.4_spec
Version:   %{meadversion}
Release:   %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:     0
Summary:   JACC 1.4 API
License:   LGPLv2+
Group:     Development/Libraries/Java

%if %with mead
Source100: jboss-jacc-api_1.4_spec-1.0.3.Final-redhat-1-scm-sources.zip
Source102: jboss-jacc-api_1.4_spec-1.0.3.Final-redhat-1-javadoc.jar
Source103: jboss-jacc-api_1.4_spec-1.0.3.Final-redhat-1.jar
Source104: jboss-jacc-api_1.4_spec-1.0.3.Final-redhat-1.pom
Source105: jboss-jacc-api_1.4_spec-1.0.3.Final-redhat-1-sources.jar
%endif

URL:       https://github.com/jboss/jboss-jacc-api_spec

BuildRequires:    jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
Requires:         jpackage-utils

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Java Authorization Contract for Containers 1.4 API classes.

%if %with javadoc
%package javadoc
Summary:   Javadoc for %{name}
Group:     Development/Documentation

Requires:  jpackage-utils

%description javadoc
API documentation for %{name}.
%endif

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}.jar %{buildroot}%{_javadir}/%{artifact0}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{artifact0}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact0}.pom

# depmaps
%add_to_maven_depmap %{mavengroup} %{artifact0} %{namedversion} JPP %{artifact0}

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{_bindir}/unzip -qq %{_sourcedir}/%{artifact0}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion} -x META-INF/\*
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%if %without mead
%doc LICENSE, README
%endif
%{_javadir}*/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%if %with javadoc
%files javadoc
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%endif

%changelog
* Thu Oct 24 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.3-1.Final_redhat_1
- Upgrade to 1.0.3.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.2-5.Final_redhat_2
- Rebuild for MD5

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:1.0.2-4.Final_redhat_2
- Update pom patch for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.2-3.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.2-3.Final_redhat_1.1
- Rebuild using cache signing

* Thu May 31 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-3.Final_redhat_1
- Place javadocs in separate RPM

* Thu May 31 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-2.Final_redhat_1
- Remove javadocs from main package

* Thu May 03 2012 Hui Wang <huwang@redhat.com> 0:1.0.2-1.Final_redhat_1
- Upgrade to 1.0.2.Final

* Thu Mar 15 2012 Hui Wang <huwang@redhat.com> 0:1.0.1-3.Final_redhat_1.1
- New wrapper
- Fix installing path

* Thu Nov 17 2011 Hui Wang <huwang@redhat.com> 0:1.0.1-2.Final_redhat_1
- RPM build against mead build

* Thu May 26 2011 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-1
- Adapted from jboss-jaxrpc_1.1_spec
